package cmescourses.server;

import java.io.Serializable;

public class ShoppingCartItem implements Serializable {

    private double price;
    private String desc;
    private String serialNum;
    
    public ShoppingCartItem(double pr, String des, String serial) {	
	price = pr;
	desc = des;
	serialNum = serial;
    }

    public boolean equals(ShoppingCartItem obj) {
	if ((this.price == obj.price) &&
	    (this.desc.equals(obj.desc)) &&
	    (this.serialNum.equals(obj.serialNum)))
	    return true;
	return false;
    }

    public String getDesc() {
	return desc;
    }

    public double getPrice() {
	return price;
    }
    
    public String getSerialNum() {
	return serialNum;
    }

    public String toString() {
	return "(ShoppingCartItem price:" + price + ", description:" + desc + ", serial number: " + serialNum + ")";
    }
}
